package com.qmth.eds.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qmth.eds.entity.SysUser;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2022-05-14
 */
public interface SysUserService extends IService<SysUser> {

    IPage<SysUser> list(String loginName, Boolean enable, String realName, Integer pageNumber, Integer pageSize);

    boolean saveUser(SysUser sysUser);

    boolean enable(SysUser user);

    boolean resetPassword(Long id);
}
